import { jsx } from "react/jsx-runtime";
import { FileCodeIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileCode = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileCode", ...props, children: /* @__PURE__ */ jsx(FileCodeIcon, { weight: variant }) });
  }
);
FileCode.displayName = "FileCode";
Object.assign(FileCode, { isGdsIcon: true });
export {
  FileCode
};
